/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Constante;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Rafius
 */
public class RenderConfiguracionGeneral implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        Constante constante = (Constante) o;

        Listcell lc = new Listcell(constante.getConstanteId().toString());
        lc.setParent(lstm);

        lc = new Listcell(constante.getDescconstante());
        lc.setParent(lstm);

        lc = new Listcell(constante.getValorconstante());
        lc.setParent(lstm);

        lstm.setAttribute("data", constante);
    }
}
